<?php

return [

    /**
     * Provider.
     */
    'provider'  => 'litecms',

    /*
     * Package.
     */
    'package'   => 'unilevel_setting',

    /*
     * Modules.
     */
    'modules'   => ['unilevel_setting'],

    
    'unilevel_setting'       => [
        'model' => [
            'model'                 => \Litecms\UnilevelSetting\Models\UnilevelSetting::class,
            'table'                 => 'unilevel_settings',
            'presenter'             => \Litecms\UnilevelSetting\Repositories\Presenter\UnilevelSettingPresenter::class,
            'hidden'                => [],
            'visible'               => [],
            'guarded'               => ['*'],
            'slugs'                 => ['slug' => 'name'],
            'dates'                 => ['deleted_at', 'createdat', 'updated_at'],
            'appends'               => [],
            'fillable'              => ['sponsor_bonus_status',  'sponsor_bonus_condition',  'sponsor_bonus',  'level_bonus_enable',  'level_bonus'],
            'translatables'         => [],
            'upload_folder'         => 'unilevel_setting/unilevel_setting',
            'uploads'               => [
            /*
                    'images' => [
                        'count' => 10,
                        'type'  => 'image',
                    ],
                    'file' => [
                        'count' => 1,
                        'type'  => 'file',
                    ],
            */
            ],

            'casts'                 => [
            /*
                'images'    => 'array',
                'file'      => 'array',
            */
            ],

            'revision'              => [],
            'perPage'               => '20',
            'search'        => [
                'name'  => 'like',
                'status',
            ]
        ],

        'controller' => [
            'provider'  => 'Litecms',
            'package'   => 'UnilevelSetting',
            'module'    => 'UnilevelSetting',
        ],

    ],
];
