<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Support\Facades\Schema;
use Illuminate\Database\Schema\Blueprint;

class CreateUnilevelSettingsTable extends Migration
{
    /*
     * Run the migrations.
     *
     * @return void
     */

    public function up()
    {

        /*
         * Table: unilevel_settings
         */
        Schema::create('unilevel_settings', function ($table) {
            $table->increments('id');
            $table->integer('sponsor_bonus_status')->nullable();
            $table->integer('sponsor_bonus_condition')->nullable();
            $table->decimal('sponsor_bonus', 50)->nullable();
            $table->integer('level_bonus_enable')->nullable();
            $table->text('level_bonus')->nullable();
            $table->softDeletes();
            $table->nullableTimestamps();
        });
    }

    /*
    * Reverse the migrations.
    *
    * @return void
    */

    public function down()
    {
        Schema::drop('unilevel_settings');
    }
}
