<?php

return [
    /*
    |--------------------------------------------------------------------------
    | Language files for unilevel_setting in unilevel_setting package
    |--------------------------------------------------------------------------
    |
    | The following language lines are  for  unilevel_setting module in unilevel_setting package
    | and it is used by the template/view files in this module
    |
    */

    /**
     * Singlular and plural name of the module
     */
    'name'          => 'UnilevelSetting',
    'names'         => 'UnilevelSettings',
    
    /**
     * Singlular and plural name of the module
     */
    'title'         => [
        'main'  => 'UnilevelSettings',
        'sub'   => 'UnilevelSettings',
        'list'  => 'List of unilevel_settings',
        'edit'  => 'Edit unilevel_setting',
        'create'    => 'Create new unilevel_setting'
    ],

    /**
     * Options for select/radio/check.
     */
    'options'       => [
            
    ],

    /**
     * Placeholder for inputs
     */
    'placeholder'   => [
        'sponsor_bonus_status'        => 'Sponsor Bonus',
        'sponsor_bonus_condition'        => 'Sponsor Bonus Condition',
        'sponsor_bonus'              => 'Sponsor Bonus',
        'level_bonus_enable'         => 'level bonus enable',
        'level_bonus'                => 'Level Bonus',
    ],

    /**
     * Labels for inputs.
     */
    'label'         => [
        'sponsor_bonus_status'        => 'Sponsor Bonus',
        'sponsor_bonus_condition'        => 'Sponsor Bonus Condition',
        'sponsor_bonus'              => 'Sponsor Bonus',
        'level_bonus_enable'         => 'Level Bonus Enable ',
        'level_bonus'                => 'Level Bonus',
    ],

    /**
     * Columns array for show hide checkbox.
     */
    'cloumns'         => [
        'sponsor_bonus_status'        => ['name' => 'Sponsor Bonus', 'data-column' => 1, 'checked'],
        'sponsor_bonus_condition'        => ['name' => 'Sponsor Bonus Condition', 'data-column' => 2, 'checked'],
        'sponsor_bonus'              => ['name' => 'Sponsor Bonus', 'data-column' => 3, 'checked'],
        'level_bonus_enable'         => ['name' => 'Level Bonus Enable ', 'data-column' => 4, 'checked'],
        'level_bonus'                => ['name' => 'Level Bonus', 'data-column' => 5, 'checked'],
    ],

    /**
     * Tab labels
     */
    'tab'           => [
        'name'  => 'UnilevelSettings',
    ],

    /**
     * Texts  for the module
     */
    'text'          => [
        'preview' => 'Click on the below list for preview',
    ],
];
